Bug 162623 - [GTK][GStreamer] Disable MEDIA_SOURCE and ENCRYPTED_MEDIA_V2 by default
Summary: [GTK][GStreamer] Disable MEDIA_SOURCE and ENCRYPTED_MEDIA_V2 by default
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Platform (show other bugs)
Version: WebKit Local Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Enrique Ocaña
URL:
Keywords:
Depends on:
Blocks: 157314
  Show dependency treegraph
 
Reported: 2016-09-27 10:02 PDT by Enrique Ocaña
Modified: 2016-11-12 11:33 PST (History)
2 users (show)

See Also:


Attachments
Patch (3.17 KB, patch)
2016-09-27 10:15 PDT, Enrique Ocaña
no flags Details | Formatted Diff | Diff
Patch (1.64 KB, patch)
2016-09-27 10:38 PDT, Enrique Ocaña
no flags Details | Formatted Diff | Diff
Patch (1.58 KB, patch)
2016-09-29 08:48 PDT, Enrique Ocaña
no flags Details | Formatted Diff | Diff
Patch (1.48 KB, patch)
2016-10-16 11:24 PDT, Enrique Ocaña
no flags Details | Formatted Diff | Diff
Patch (1.45 KB, patch)
2016-10-26 01:16 PDT, Enrique Ocaña
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Enrique Ocaña 2016-09-27 10:02:58 PDT
To ease landing of MSE patches, it's advisable to disable Media Source and Encrypted Media (V1 & V2) by default on WebKitGTK+ and EFL.
Comment 1 Enrique Ocaña 2016-09-27 10:15:01 PDT
Created attachment 289964 [details]
Patch
Comment 2 Xabier Rodríguez Calvar 2016-09-27 10:30:14 PDT
Comment on attachment 289964 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=289964&action=review

> Source/cmake/OptionsEfl.cmake:99
> -WEBKIT_OPTION_DEFAULT_PORT_VALUE(ENABLE_ENCRYPTED_MEDIA_V2 PUBLIC ON)
> +WEBKIT_OPTION_DEFAULT_PORT_VALUE(ENABLE_ENCRYPTED_MEDIA_V2 PUBLIC OFF)

After talking to Žan we think it is better to leave this as it is cause we will land everything together and it is unnecessary.

> Source/cmake/OptionsEfl.cmake:112
> -WEBKIT_OPTION_DEFAULT_PORT_VALUE(ENABLE_MEDIA_SOURCE PUBLIC ON)
> +WEBKIT_OPTION_DEFAULT_PORT_VALUE(ENABLE_MEDIA_SOURCE PUBLIC OFF)

Ditto.

> ChangeLog:8
> +        * Source/cmake/OptionsEfl.cmake:

Ditto.
Comment 3 Enrique Ocaña 2016-09-27 10:38:06 PDT
Created attachment 289971 [details]
Patch
Comment 4 Enrique Ocaña 2016-09-29 05:36:46 PDT
Comment on attachment 289971 [details]
Patch

ENABLE_ENCRYPTED_MEDIA has been removed as part of bug #161010. This patch needs rework.
Comment 5 Enrique Ocaña 2016-09-29 08:48:31 PDT
Created attachment 290204 [details]
Patch
Comment 6 Enrique Ocaña 2016-10-04 07:04:11 PDT
Comment on attachment 290204 [details]
Patch

Wait until all the patches in 157314 are ready.
Comment 7 Enrique Ocaña 2016-10-16 11:24:28 PDT
Created attachment 291753 [details]
Patch
Comment 8 Enrique Ocaña 2016-10-26 01:16:58 PDT
Created attachment 292885 [details]
Patch
Comment 9 Enrique Ocaña 2016-10-26 01:38:52 PDT
Comment on attachment 292885 [details]
Patch

Clearing flags on attachment: 292885

Committed r207872: <http://trac.webkit.org/changeset/207872>
Comment 10 Enrique Ocaña 2016-10-26 01:39:00 PDT
All reviewed patches have been landed.  Closing bug.
Comment 11 Michael Catanzaro 2016-11-12 11:28:38 PST
So these features are already disabled in WebKitFeatures.cmake. All this did is make the options public, which isn't right as they are still experimental features and not ready to be advertised as supported options. Hence I'm going to roll this out. I think no further changes are required here, I just don't want the options to be public until they're really ready. :)
Comment 12 Michael Catanzaro 2016-11-12 11:33:55 PST
Committed r208654: <http://trac.webkit.org/changeset/208654>